Bug 849731 - pungi needs new magic file location for powerpc ISOs
pungi needs new magic file location for powerpc ISOs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pungi (Show other bugs)
18
powerpc Linux
urgent Severity urgent
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
AcceptedNTH
:
Depends On:
Blocks: F18Alpha-accepted/F18AlphaFreezeExcept F18Alphappc
  Show dependency treegraph
 
Reported: 2012-08-20 13:35 EDT by David Aquilina
Modified: 2014-06-23 20:19 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-12 19:51:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (1.32 KB, patch)
2012-08-20 13:37 EDT, David Aquilina
no flags Details | Diff

  None (edit)
Description David Aquilina 2012-08-20 13:35:29 EDT
Description of problem:

The 'magic' and 'mapping' files used for creating powerpc ISOs were moved from anaconda to lorax as of anaconda 18.6. pungi needs to be updated to pull these files from their new location otherwise creating ISOs fails: 

Pungi:INFO: Running /usr/bin/mkisofs -v -U -J -R -T -m repoview -m boot.iso -par
t -hfs -r -l -sysid PPC -no-desktop -allow-multidot -chrp-boot -map /usr/share/a
naconda/boot/mapping -magic /usr/share/anaconda/boot/magic -hfs-bless /mnt/data/
pungi/f18-20120817.1/18/ppc64/os/ppc/mac -V "Fedora 18 ppc64" -o /mnt/data/pungi
/f18-20120817.1/18/ppc64/iso/Fedora-18-ppc64-DVD.iso /mnt/data/pungi/f18-2012081
7.1/18/ppc64/os
Pungi:ERROR: Got an error from /usr/bin/mkisofs
Pungi:ERROR: Warning: creating filesystem that does not conform to ISO-9660.
failed to open magic file: could not find any magic files!

Traceback (most recent call last):
  File "/usr/bin/pungi", line 256, in <module>
    main()
  File "/usr/bin/pungi", line 149, in main
    mypungi.doCreateIsos()
  File "/usr/lib/python2.7/site-packages/pypungi/__init__.py", line 1144, in doCreateIsos
    pypungi.util._doRunCommand(mkisofs + extraargs, self.logger)
  File "/usr/lib/python2.7/site-packages/pypungi/util.py", line 36, in _doRunCommand
    raise OSError, "Got an error from %s: %s" % (command[0], err)
OSError: Got an error from /usr/bin/mkisofs: Warning: creating filesystem that does not conform to ISO-9660.
failed to open magic file: could not find any magic files!


Version-Release number of selected component (if applicable):

lorax-18.14-1.fc18.ppc64
pungi-2.11-3.fc18.noarch
anaconda-18.6-1.fc18.ppc64
Comment 1 David Aquilina 2012-08-20 13:37:21 EDT
Created attachment 605753 [details]
patch

Lightly-tested patch. Pungi completes successfully and creates ISOs (however I've not yet tested the ISOs it created).
Comment 2 Fedora Update System 2012-08-31 02:08:30 EDT
pungi-2.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pungi-2.12-1.fc18
Comment 3 Fedora Update System 2012-08-31 12:02:11 EDT
Package pungi-2.12-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pungi-2.12-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13063/pungi-2.12-1.fc18
then log in and leave karma (feedback).
Comment 4 Adam Williamson 2012-08-31 17:33:54 EDT
secondary arch bugs cannot block release. The intent was to nominate for NTH; adjusted.
Comment 5 Adam Williamson 2012-09-05 13:46:25 EDT
Discussed at 2012-09-05 NTH review meeting. Accepted as NTH as it blocks PPC, but we'd like to see more testing of the update before actually pulling it.
Comment 6 Fedora Update System 2012-09-12 19:51:08 EDT
pungi-2.12-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.